Subject: bug#44272: guix edit doesn't work when $EDITOR is set to "kate"

From: Leo Prikler <[email-masked]>
Date: Wed, 28 Oct 2020 14:05:27 +0100

Easy solution, set $EDITOR to "gedit" ;)

The reason why kate "doesn't work" when opening files as specified by
`guix edit`, is that kate apparently can't handle the "$EDITOR +$N
$FILE" syntax, where $N is the number of lines to skip.  It instead
opens two files, one of which will likely always be empty.  This should
probably be reported as bug to kate unless that works upstream and
somehow guix messes up this feature.